For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETReturns task assignees
      • POSTReplace Task Assignees
      • PUTCreate Or Update TaskAssignee
      • DELDelete Task Assignees
LogoLogo
SupportContact salesStart free trial
API ReferenceTask Assignee

Returns task assignees

GET
https://api.projectmanager.com/api/data/tasks/:taskId/assignees
GET
/api/data/tasks/:taskId/assignees
$curl https://api.projectmanager.com/api/data/tasks/taskId/assignees \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "resourceId": "string",
16 "percentAssignment": 1.1,
17 "assignedEffort": 1
18 }
19 ]
20}
Returns list of assignees. A TaskAssignee is an assignment of a Resource to a Task. You can assign multiple Resources to a Task and designate what proportion of their time will be allocated to this Task.
Was this page helpful?
Previous

Replace Task Assignees

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The unique identifier of the Task

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.